/*
 * Jednoduche kresleni v C#.
 * 
 * Jiri Skala, unor 2008
 * 
 */
using System;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;

namespace SimpleDrawing
{
	/// <summary>
	/// Jednoduche kresleni.
	/// </summary>
	public partial class SimpleDrawing : Form
	{
		/// <summary>
		/// Generator nahodnych cisel.
		/// </summary>
		private Random rnd;





		/// <summary>
		/// Konstruktor.
		/// </summary>
		public SimpleDrawing()
		{
			// pripravime GUI
			InitializeComponent();

			// pripravime generator nahodnych cisel
			rnd = new Random();
		}

		/// <summary>
		/// Metoda ktera se vyvola pri kresleni panelu.
		/// Nevolat primo (vlastne ani nema smysl), pouzivat panelCanvas.Invalidate().
		/// </summary>
		private void panelCanvas_Paint(object sender, PaintEventArgs e)
		{
			// ziskame Graphics objekt pro kresleni
			Graphics gr = e.Graphics;

			// zjistime velikost panelu
			int w = panelCanvas.Width;
			int h = panelCanvas.Height;

			// smazeme obsah panelu
			gr.Clear(Color.White);

			// vygenerujeme nahodne souradnice
			int xa = rnd.Next(w);
			int ya = rnd.Next(h);
			int xb = rnd.Next(w);
			int yb = rnd.Next(h);

			// nakreslime caru
			gr.DrawLine(Pens.Black, xa, ya, xb, yb);
		}

		/// <summary>
		/// Reakce na stisknuti tlacitka.
		/// </summary>
		private void buttonDraw_Click(object sender, EventArgs e)
		{
			// oznacime, ze se ma panel prekreslit
			panelCanvas.Invalidate();
		}
	}
}
